@ECHO OFF
REM ====================================================================
REM Model with LENticular inclusion: Boundary-value rays corresponding
REM to the plane wave incident at the Bottom of the model (MS-DOS)
REM ====================================================================
REM Ray tracing (refracted wave):
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ECHO 'lenb-crt.dat' / >crt.tmp
ECHO                 >>crt.tmp
    crt               <crt.tmp
DEL                    crt.tmp
REM Note: The blank line in crt.tmp is required only if 'scronum.for' is
REM       replaced with 'scropc.for'.  Otherwise, the above lines can be
REM       simplified to a single line:
REM       echo 'lenb-crt.dat' /Icrt
REM       where I stands for the piping command.
REM ....................................................................
REM Supplementing receivers with the third coordinate:
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ECHO 'model.dat' 'len-rec.dat' 'len-rec.tmp' 2 3 /|intf
REM ....................................................................
REM Rewriting the travel times at the receivers into a formatted file:
REM ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
ECHO 'len-rec.tmp' 3* 'lenb-rec.out' 4 0 1 0 /|crtpts
REM ====================================================================
